/*----------------------------------------------------------------------------
 * File:  HeartRateMonitor_ports.c
 *
 * UML Component Port Messages
 * Component Name:                       HeartRateMonitor
 * Domain Name (if modeled internally):  HeartRateMonitor
 *
 * (C) Copyright 1998-2009 Mentor Graphics Corporation.  All rights reserved.
 *--------------------------------------------------------------------------*/

#include "sys_types.h"
#include "Tracking_ports.h"
#include "HeartRateMonitor_ports.h"
#include "Location_ports.h"
#include "UI_ports.h"
#include "HeartRateMonitor_classes.h"

/*
 * Interface:                 HeartRateProvider
 * Provided Port:             HR
 * Server to Client Message:  heartRateChanged
 */
void
HeartRateMonitor_HR_heartRateChanged( r4_t p_heartRate )
{
Tracking_HR_heartRateChanged(   p_heartRate );
}

/*
 * Interface:                 HeartRateProvider
 * Provided Port:             HR
 * Client to Server Message:  registerListener
 */
void
HeartRateMonitor_HR_registerListener( void )
{
{
  Escher_xtUMLEvent_t * e = Escher_NewxtUMLEvent( (void *) 0, &HeartRateMonitor_HeartRateMonitor_CBevent1c );
  Escher_SendEvent( e );
  }

}

/*
 * Interface:                 HeartRateProvider
 * Provided Port:             HR
 * Client to Server Message:  unregisterListener
 */
void
HeartRateMonitor_HR_unregisterListener( void )
{
{
  Escher_xtUMLEvent_t * e = Escher_NewxtUMLEvent( (void *) 0, &HeartRateMonitor_HeartRateMonitor_CBevent2c );
  Escher_SendEvent( e );
  }

}

