/*----------------------------------------------------------------------------
 * File:  Location_classes.h
 *
 * This file defines the object type identification numbers for all objects
 * in the following domain:
 *
 * Domain:      Location
 * Repository:  Location
 * (C) Copyright 1998-2009 Mentor Graphics Corporation.  All rights reserved.
 *--------------------------------------------------------------------------*/

#ifndef LOCATION_CLASSES_H
#define LOCATION_CLASSES_H

#ifdef	__cplusplus
extern "C" {
#endif


#define Location_STATE_MODELS 2

/* Define constants to map to class numbers.  */
#define Location_GPS_CLASS_NUMBER 0
#define Location_GPS_CLASS_NUMBER_CB 1
#define Location_MAX_CLASS_NUMBERS 2

/* Provide a map of classes to task numbers.  */
#define Location_TASK_NUMBERS  0, 0

#define Location_CLASS_INFO_INIT\
  &pG_Location_GPS_extent,\
  0

#define Location_class_dispatchers\
  0,\
  Location_GPS_CBDispatch

/* Provide definitions of the shapes of the class structures.  */

typedef struct Location_GPS Location_GPS;
typedef struct Location_GPS_CB Location_GPS_CB;

/* union of class declarations so we may derive largest class size */
#define Location_CLASS_U \
  char Location_dummy;\

#include "Location_datatypes.h"

#include "Location_GPS_class.h"


/*
 * roll-up of all events (with their parameters) for domain Location
 */
typedef union {
  Location_GPS_CB_Events_u namespace_dummy46;
} Location_DomainEvents_u;


#ifdef	__cplusplus
}
#endif

#endif  /* LOCATION_CLASSES_H */

