/*----------------------------------------------------------------------------
 * File:  Location_ports.c
 *
 * UML Component Port Messages
 * Component Name:                       Location
 * Domain Name (if modeled internally):  Location
 *
 * (C) Copyright 1998-2009 Mentor Graphics Corporation.  All rights reserved.
 *--------------------------------------------------------------------------*/

#include "sys_types.h"
#include "Tracking_ports.h"
#include "HeartRateMonitor_ports.h"
#include "Location_ports.h"
#include "UI_ports.h"
#include "Location_classes.h"

/*
 * Interface:                 LocationUtil
 * Provided Port:             UTIL
 * Client to Server Message:  getDistance
 */
r4_t
Location_UTIL_getDistance( sys_sdt_Location p_fromLocation, sys_sdt_Location p_toLocation )
{
  /* RETURN ( PARAM.fromLocation.longitude + PARAM.toLocation.latitude ) */
  ROX_BPAL_STMT_TRACE( 1, "RETURN ( PARAM.fromLocation.longitude + PARAM.toLocation.latitude )" )
  return ( p_fromLocation.longitude + p_toLocation.latitude ) ;
}

/*
 * Interface:                 LocationProvider
 * Provided Port:             LOC
 * Server to Client Message:  locationUpdate
 */
void
Location_LOC_locationUpdate( sys_sdt_Location p_location )
{
Tracking_LOC_locationUpdate(   p_location );
}

/*
 * Interface:                 LocationProvider
 * Provided Port:             LOC
 * Client to Server Message:  registerListener
 */
void
Location_LOC_registerListener( void )
{
{
  Escher_xtUMLEvent_t * e = Escher_NewxtUMLEvent( (void *) 0, &Location_GPS_CBevent2c );
  Escher_SendEvent( e );
  }

}

/*
 * Interface:                 LocationProvider
 * Provided Port:             LOC
 * Client to Server Message:  unregisterListener
 */
void
Location_LOC_unregisterListener( void )
{
{
  Escher_xtUMLEvent_t * e = Escher_NewxtUMLEvent( (void *) 0, &Location_GPS_CBevent3c );
  Escher_SendEvent( e );
  }

}

