/*----------------------------------------------------------------------------
 * File:  UI_ports.c
 *
 * UML Component Port Messages
 * Component Name:                       UI
 * Domain Name (if modeled internally):  UI
 *
 * (C) Copyright 1998-2009 Mentor Graphics Corporation.  All rights reserved.
 *--------------------------------------------------------------------------*/

#include "sys_types.h"
#include "HeartRateMonitor_ports.h"
#include "Location_ports.h"
#include "Tracking_ports.h"
#include "UI_ports.h"
#include "UI_classes.h"
#include "GuiBridge_bridge.h"

/*
 * Interface:                 UI
 * Provided Port:             UI
 * Client to Server Message:  setTime
 */
void
UI_UI_setTime( i_t p_time )
{
  /* GuiBridge::setTime( time:PARAM.time ) */
  ROX_BPAL_STMT_TRACE( 1, "GuiBridge::setTime( time:PARAM.time )" )
  GuiBridge_setTime( p_time );
}

/*
 * Interface:                 UI
 * Provided Port:             UI
 * Client to Server Message:  setData
 */
void
UI_UI_setData( s2_t p_unit, r4_t p_value )
{
  /* IF ( ( PARAM.unit == km ) ) */
  ROX_BPAL_STMT_TRACE( 1, "IF ( ( PARAM.unit == km ) )" )
  if ( ( p_unit == sys_Unit_km_e ) ) {
    /* GuiBridge::setData( unit:0, value:PARAM.value ) */
    ROX_BPAL_STMT_TRACE( 2, "GuiBridge::setData( unit:0, value:PARAM.value )" )
    GuiBridge_setData( 0, p_value );
  }
  else if ( ( p_unit == sys_Unit_meters_e ) ) {
    /* GuiBridge::setData( unit:1, value:PARAM.value ) */
    ROX_BPAL_STMT_TRACE( 2, "GuiBridge::setData( unit:1, value:PARAM.value )" )
    GuiBridge_setData( 1, p_value );
  }
  else if ( ( p_unit == sys_Unit_minPerKm_e ) ) {
    /* GuiBridge::setData( unit:2, value:PARAM.value ) */
    ROX_BPAL_STMT_TRACE( 2, "GuiBridge::setData( unit:2, value:PARAM.value )" )
    GuiBridge_setData( 2, p_value );
  }
  else if ( ( p_unit == sys_Unit_kmPerHour_e ) ) {
    /* GuiBridge::setData( unit:3, value:PARAM.value ) */
    ROX_BPAL_STMT_TRACE( 2, "GuiBridge::setData( unit:3, value:PARAM.value )" )
    GuiBridge_setData( 3, p_value );
  }
  else if ( ( p_unit == sys_Unit_miles_e ) ) {
    /* GuiBridge::setData( unit:4, value:PARAM.value ) */
    ROX_BPAL_STMT_TRACE( 2, "GuiBridge::setData( unit:4, value:PARAM.value )" )
    GuiBridge_setData( 4, p_value );
  }
  else if ( ( p_unit == sys_Unit_yards_e ) ) {
    /* GuiBridge::setData( unit:5, value:PARAM.value ) */
    ROX_BPAL_STMT_TRACE( 2, "GuiBridge::setData( unit:5, value:PARAM.value )" )
    GuiBridge_setData( 5, p_value );
  }
  else if ( ( p_unit == sys_Unit_feet_e ) ) {
    /* GuiBridge::setData( unit:6, value:PARAM.value ) */
    ROX_BPAL_STMT_TRACE( 2, "GuiBridge::setData( unit:6, value:PARAM.value )" )
    GuiBridge_setData( 6, p_value );
  }
  else if ( ( p_unit == sys_Unit_minPerMile_e ) ) {
    /* GuiBridge::setData( unit:7, value:PARAM.value ) */
    ROX_BPAL_STMT_TRACE( 2, "GuiBridge::setData( unit:7, value:PARAM.value )" )
    GuiBridge_setData( 7, p_value );
  }
  else if ( ( p_unit == sys_Unit_mph_e ) ) {
    /* GuiBridge::setData( unit:8, value:PARAM.value ) */
    ROX_BPAL_STMT_TRACE( 2, "GuiBridge::setData( unit:8, value:PARAM.value )" )
    GuiBridge_setData( 8, p_value );
  }
  else if ( ( p_unit == sys_Unit_bpm_e ) ) {
    /* GuiBridge::setData( unit:9, value:PARAM.value ) */
    ROX_BPAL_STMT_TRACE( 2, "GuiBridge::setData( unit:9, value:PARAM.value )" )
    GuiBridge_setData( 9, p_value );
  }
  else if ( ( p_unit == sys_Unit_laps_e ) ) {
    /* GuiBridge::setData( unit:10, value:PARAM.value ) */
    ROX_BPAL_STMT_TRACE( 2, "GuiBridge::setData( unit:10, value:PARAM.value )" )
    GuiBridge_setData( 10, p_value );
  }
}

/*
 * Interface:                 UI
 * Provided Port:             UI
 * Server to Client Message:  lapResetPressed
 */
void
UI_UI_lapResetPressed( void )
{
Tracking_UI_lapResetPressed();
}

/*
 * Interface:                 UI
 * Provided Port:             UI
 * Server to Client Message:  startStopPressed
 */
void
UI_UI_startStopPressed( void )
{
Tracking_UI_startStopPressed();
}

/*
 * Interface:                 UI
 * Provided Port:             UI
 * Server to Client Message:  lightPressed
 */
void
UI_UI_lightPressed( void )
{
Tracking_UI_lightPressed();
}

/*
 * Interface:                 UI
 * Provided Port:             UI
 * Server to Client Message:  modePressed
 */
void
UI_UI_modePressed( void )
{
Tracking_UI_modePressed();
}

/*
 * Interface:                 UI
 * Provided Port:             UI
 * Server to Client Message:  setTargetPressed
 */
void
UI_UI_setTargetPressed( void )
{
Tracking_UI_setTargetPressed();
}

