/*----------------------------------------------------------------------------
 * File:  sys_types.h
 *
 * (C) Copyright 1998-2009 Mentor Graphics Corporation.  All rights reserved.
 *
 *
 * System Name:  
 * System ID:    1
 * Model Compiler Product Information:
 * Product:  
 * Version:  
 * S/N:      
 * System default/colored values:
 * MaxStringLen:  32
 * MaxObjExtent:  0
 * MaxRelExtent:  0
 * MaxSelectExtent:  0
 * MaxSelfEvents:  0
 * MaxNonSelfEvents:  0
 * MaxTimers:  0
 * MaxInterleavedBridges:  0
 * MaxInterleavedBridgeDataSize:  0
 * CollectionsFlavor:  0
 * ForcePriorityEvents:  FALSE
 * PEIClassCount:  0
 * PersistentClassCount:  0
 * PersistInstanceCacheDepth:  128
 * PersistLinkCacheDepth:  128
 *
 * Model:  Tracking
 * Domain Name:  Tracking
 * MaxObjExtent:  1200
 * MaxRelExtent:  400
 * MaxSelectExtent:  200
 * MaxSelfEvents:  2
 * MaxNonSelfEvents:  5
 * MaxPriorityEvents:  0
 * MaxTimers:  4
 * InterleavedBridges:  0
 * PEIClassCount:  0
 * PersistentClassCount:  0
 * InterleavedDataSize:  8
 * CollectionsFlavor:  0
 *
 * Model:  HeartRateMonitor
 * Domain Name:  HeartRateMonitor
 * MaxObjExtent:  200
 * MaxRelExtent:  0
 * MaxSelectExtent:  200
 * MaxSelfEvents:  2
 * MaxNonSelfEvents:  5
 * MaxPriorityEvents:  0
 * MaxTimers:  4
 * InterleavedBridges:  0
 * PEIClassCount:  0
 * PersistentClassCount:  0
 * InterleavedDataSize:  8
 * CollectionsFlavor:  0
 *
 * Model:  Location
 * Domain Name:  Location
 * MaxObjExtent:  200
 * MaxRelExtent:  0
 * MaxSelectExtent:  200
 * MaxSelfEvents:  2
 * MaxNonSelfEvents:  5
 * MaxPriorityEvents:  0
 * MaxTimers:  4
 * InterleavedBridges:  0
 * PEIClassCount:  0
 * PersistentClassCount:  0
 * InterleavedDataSize:  8
 * CollectionsFlavor:  0
 *
 * Model:  UI
 * Domain Name:  UI
 * MaxObjExtent:  400
 * MaxRelExtent:  0
 * MaxSelectExtent:  200
 * MaxSelfEvents:  2
 * MaxNonSelfEvents:  5
 * MaxPriorityEvents:  0
 * MaxTimers:  4
 * InterleavedBridges:  0
 * PEIClassCount:  0
 * PersistentClassCount:  0
 * InterleavedDataSize:  8
 * CollectionsFlavor:  0
 *--------------------------------------------------------------------------*/

#ifndef SYS_TYPES_H
#define SYS_TYPES_H

#ifdef	__cplusplus
extern "C" {
#endif

/*
 * Shore up C by declaring our own version of bool.
 */
#ifndef	__cplusplus
typedef unsigned char bool;

#ifdef false
#undef false
#endif

#ifdef true
#undef true
#endif

#define false ( (bool) 0 )
#define true  ( (bool) (!false) )
#endif

#ifdef FALSE
#undef FALSE
#endif

#ifdef TRUE
#undef TRUE
#endif

#define FALSE ( (bool) 0 )
#define TRUE  ( (bool) (!FALSE) )


#define ESCHER_SYS_MAX_STRING_LEN 32
#define ESCHER_PERSIST_INST_CACHE_DEPTH 128
#define ESCHER_PERSIST_LINK_CACHE_DEPTH 128
#define ESCHER_SYS_MAX_OBJECT_EXTENT 2000
#define ESCHER_SYS_MAX_ASSOCIATION_EXTENT 400
#define ESCHER_SYS_MAX_TRANSIENT_EXTENT 800
#define SYS_MAX_CONTAINERS ( ESCHER_SYS_MAX_ASSOCIATION_EXTENT + ESCHER_SYS_MAX_TRANSIENT_EXTENT )
#define ESCHER_SYS_MAX_SELF_EVENTS 9
#define ESCHER_SYS_MAX_NONSELF_EVENTS 21
#define ESCHER_SYS_MAX_XTUML_EVENTS ( ESCHER_SYS_MAX_SELF_EVENTS + ESCHER_SYS_MAX_NONSELF_EVENTS )
#define ESCHER_SYS_MAX_XTUML_TIMERS 17
#define ESCHER_SYS_MAX_INTERLEAVED_BRIDGES 0
#define ESCHER_SYS_MAX_INTERLEAVED_BRIDGE_DATA 8


/*
 * Core types with byte widths defined for MISRA-C compliance.
 */
typedef          char    c_t;
typedef unsigned char   uc_t;
typedef          int     i_t;
typedef unsigned int    ui_t;
typedef          long    l_t;
typedef unsigned long   ul_t;
typedef   signed char   s1_t;
typedef unsigned char   u1_t;
typedef   signed short  s2_t;
typedef unsigned short  u2_t;
typedef   signed long   s4_t;
typedef unsigned long   u4_t;
typedef          float  r4_t;
typedef          double r8_t;

/*
 * These are some of the fundamental types used universally.
 */
typedef u1_t Escher_DomainNumber_t;
typedef u2_t Escher_ClassNumber_t;
typedef u2_t Escher_ClassSize_t;
typedef u2_t Escher_InstanceIndex_t;
typedef u1_t Escher_StateNumber_t;
typedef u1_t Escher_EventNumber_t;
typedef u1_t Escher_EventFlags_t;
typedef u1_t Escher_EventPriority_t;
typedef u2_t Escher_SEMcell_t;
typedef struct {
  Escher_DomainNumber_t domainnum;
  Escher_ClassNumber_t classnum;
  Escher_InstanceIndex_t index;
} InstanceIdentifier_t;

typedef struct {
  Escher_StateNumber_t current_state;
} Escher_InstanceBase_t;
typedef Escher_InstanceBase_t * Escher_iHandle_t;
typedef Escher_iHandle_t Escher_UniqueID_t;

/* Return code type for dispatch of a polymorphic event (see sys_events.h).  */
typedef u1_t Escher_PolyEventRC_t;

/* Interleaved bridge node base type.  */
typedef struct Escher_ilb_s Escher_ilb_t;
typedef void ( * Escher_ilb_fp_t )( Escher_ilb_t * );
struct Escher_ilb_s { Escher_ilb_fp_t f; };

/*
 * Time and date core types.
 */
typedef l_t  Escher_Date_t;
typedef u4_t Escher_TimeStamp_t;
typedef u4_t Escher_uSec_t;

#define DomainMultiplier 1

/*
 * Allow for compilerisms (such as 8051 Tasking) to use memory model
 * hints to the compiler.
 */
#ifndef _reentrant
#define _reentrant
#endif

/*
 * Note we include stdio.h for printf.  Otherwise, it is not needed.
 */
#include <stdio.h>
#include "sys_sets.h"
#include "sys_user_co.h"
#include "sys_trace.h"
#include "sys_factory.h"
#include "sys_events.h"


/*
 * Enumerated Data Type:  Unit
 */
#define sys_Unit__UNINITIALIZED__e -1
#define sys_Unit_bpm_e 0
#define sys_Unit_feet_e 1
#define sys_Unit_km_e 2
#define sys_Unit_kmPerHour_e 3
#define sys_Unit_laps_e 4
#define sys_Unit_meters_e 5
#define sys_Unit_miles_e 6
#define sys_Unit_minPerKm_e 7
#define sys_Unit_minPerMile_e 8
#define sys_Unit_mph_e 9
#define sys_Unit_yards_e 10


/*
 * Location:
 */
typedef struct {
  r4_t longitude;
  r4_t latitude;
  r4_t speed;
} sys_sdt_Location;


#define SYSTEM_DOMAIN_COUNT 4
/* xtUML domain identification numbers */
#define Tracking_DOMAIN_ID 0
#include "Tracking_classes.h"
#define HeartRateMonitor_DOMAIN_ID 1
#include "HeartRateMonitor_classes.h"
#define Location_DOMAIN_ID 2
#include "Location_classes.h"
#define UI_DOMAIN_ID 3
#include "UI_classes.h"


#ifdef	__cplusplus
}
#endif

#endif  /* SYS_TYPES_H */
