/*----------------------------------------------------------------------------
 * File:  GuiBridge_bridge.h
 *
 * Description:
 * Methods for bridging to an external entity.
 *
 * External Entity:  Graphical User Interface (GuiBridge)
 * (C) Copyright 1998-2009 Mentor Graphics Corporation.  All rights reserved.
 *--------------------------------------------------------------------------*/

#ifndef GUIBRIDGE_BRIDGE_H
#define GUIBRIDGE_BRIDGE_H

#ifdef	__cplusplus
extern "C"{
#endif


extern void GuiBridge_feedSetTargetPressedEvent( Escher_xtUMLEvent_t * );
extern void GuiBridge_feedModePressedEvent( Escher_xtUMLEvent_t * );
extern void GuiBridge_feedLightPressedEvent( Escher_xtUMLEvent_t * );
extern void GuiBridge_feedLapResetPressedEvent( Escher_xtUMLEvent_t * );
extern void GuiBridge_feedStartStopPressedEvent( Escher_xtUMLEvent_t * );
extern void GuiBridge_setData( i_t, r4_t );
extern void GuiBridge_setTime( i_t );
extern void GuiBridge_connect( void );
extern void GuiBridge_sendModePressed( void );
extern void GuiBridge_sendLightPressed( void );
extern void GuiBridge_sendLapResetPressed( void );
extern void GuiBridge_sendStartStopPressed( void );
extern void GuiBridge_sendTargetPressed( void );

#ifdef	__cplusplus
}
#endif

#endif   /* GUIBRIDGE_BRIDGE_H */
