/*----------------------------------------------------------------------------
 * File:  HeartRateMonitor_classes.h
 *
 * This file defines the object type identification numbers for all objects
 * in the following domain:
 *
 * Domain:      HeartRateMonitor
 * Repository:  HeartRateMonitor
 * (C) Copyright 1998-2009 Mentor Graphics Corporation.  All rights reserved.
 *--------------------------------------------------------------------------*/

#ifndef HEARTRATEMONITOR_CLASSES_H
#define HEARTRATEMONITOR_CLASSES_H

#ifdef	__cplusplus
extern "C" {
#endif


#define HeartRateMonitor_STATE_MODELS 2

/* Define constants to map to class numbers.  */
#define HeartRateMonitor_HeartRateMonitor_CLASS_NUMBER 0
#define HeartRateMonitor_HeartRateMonitor_CLASS_NUMBER_CB 1
#define HeartRateMonitor_MAX_CLASS_NUMBERS 2

/* Provide a map of classes to task numbers.  */
#define HeartRateMonitor_TASK_NUMBERS  0, 0

#define HeartRateMonitor_CLASS_INFO_INIT\
  &pG_HeartRateMonitor_HeartRateMonitor_extent,\
  0

#define HeartRateMonitor_class_dispatchers\
  0,\
  HeartRateMonitor_HeartRateMonitor_CBDispatch

/* Provide definitions of the shapes of the class structures.  */

typedef struct HeartRateMonitor_HeartRateMonitor HeartRateMonitor_HeartRateMonitor;
typedef struct HeartRateMonitor_HeartRateMonitor_CB HeartRateMonitor_HeartRateMonitor_CB;

/* union of class declarations so we may derive largest class size */
#define HeartRateMonitor_CLASS_U \
  char HeartRateMonitor_dummy;\

#include "HeartRateMonitor_datatypes.h"

#include "HeartRateMonitor_HeartRateMonitor_class.h"


/*
 * roll-up of all events (with their parameters) for domain HeartRateMonitor
 */
typedef union {
  HeartRateMonitor_HeartRateMonitor_CB_Events_u namespace_dummy45;
} HeartRateMonitor_DomainEvents_u;


#ifdef	__cplusplus
}
#endif

#endif  /* HEARTRATEMONITOR_CLASSES_H */

